Proteins Transcripts
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteins/transcriptsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins/transcripts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"protein": "<string>",
"transcript": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}API Reference
Proteins Transcripts
Retrieve transcripts from proteins.
Set verbose = true to retrieve full info on the transcripts.
Protein IDs support the following formats: ENSP00000384707.1 or ENSP00000384707 (Ensembl IDs) or P49711-2 (Uniprot ids)
Example: protein_name = CTCF,
uniprot_name = CTCF_HUMAN,
uniprot_full_name = Transcriptional repressor CTCF,
dbxrefs = P49711,
protein_id = ENSP00000384707,
organism = Homo sapiens.
The limit parameter controls the page size and can not exceed 100.
Pagination is 0-based.
Proteins Transcripts
curl --request GET \
--url https://catalog-api-dev.demo.igvf.org/api/proteins/transcriptsimport requests
url = "https://catalog-api-dev.demo.igvf.org/api/proteins/transcripts"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://catalog-api-dev.demo.igvf.org/api/proteins/transcripts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"name": "<string>",
"source": "<string>",
"source_url": "<string>",
"protein": "<string>",
"transcript": "<string>"
}
]{
"message": "<string>",
"code": "<string>",
"issues": [
{
"message": "<string>"
}
]
}Query Parameters
Available options:
Mus musculus, Homo sapiens Available options:
true, false